﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class PerDataAccountBaisc : IPerData
    {

        /// <summary>
        /// 核算单元类别 1 医生组 2护理组 3医技组
        /// </summary>
        public Nullable<int> UnitType { get; set; }

        /// <summary>
        /// 核算单元 
        /// </summary>
        public string AccountingUnit { get; set; }

        /// <summary>
        /// 科室名称
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        /// 科主任/护士长数量
        /// </summary>
        public decimal ManagerNumber { get; set; }

        /// <summary>
        /// 核算单元医生数量
        /// </summary>
        public decimal Number { get; set; }

        /// <summary>
        /// 医生基础系数
        /// </summary>
        public decimal BasicFactor { get; set; }

        /// <summary>
        /// 倾斜系数
        /// </summary>
        public decimal SlopeFactor { get; set; }

        /// <summary>
        /// 其他绩效1
        /// </summary>
        public decimal OtherPerfor1 { get; set; }

        /// <summary>
        /// 其他绩效2
        /// </summary>
        public decimal OtherPerfor2 { get; set; }

        /// <summary>
        /// 医院奖罚
        /// </summary>
        public decimal Extra { get; set; }

        /// <summary>
        /// 考核对分率
        /// </summary>
        public decimal ScoringAverage { get; set; }
        /// <summary>
        /// 调节系数
        /// </summary>
        public decimal AdjustFactor { get; set; }

        /// <summary>
        /// 行号
        /// </summary>
        public int RowNumber { get; set; }

        /// <summary>
        /// 规模绩效系数
        /// </summary>
        public Nullable<decimal> Scale { get; set; }

        /// <summary>
        /// 效率绩效系数
        /// </summary>
        public Nullable<decimal> Effic { get; set; }

        /// <summary>
        /// 发放系数
        /// </summary>
        public Nullable<decimal> Grant { get; set; }
    }
}
